// gcc -o level5 -no-pie -fno-stack-protector level5.c
#include <stdio.h>
#include <stdlib.h>

char command[] = "/bin/sh";

int main(int argc, char **argv) {
  // Disable output buffering. Not part of the challenge.
  setvbuf(stdout, NULL, _IONBF, 0);
  setvbuf(stdin, NULL, _IONBF, 0);

  char buffer[32];
  puts("What do you want to talk about?");
  fgets(buffer, 320, stdin);
  system("echo Bye.");
  return 0;
}
